For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel a theft report

This service can be used to cancel an active theft report.

By default, a report is valid for 30 days. It can be cancelled at any time before expiration, for example if the vehicle has been recovered.

If you have your admin API key, you can try the API via this link.

Cancel a theft report

delete
Authorizations
DriveKit-Admin-API-KeystringRequired
Path parameters
reportIdstringRequired

The unique identifier of the theft report to be deleted

Header parameters
DriveKit-Admin-API-KeystringRequired

Drivekit Admin API key

Responses
200

Successful response with the details of the deleted theft report

application/json
idstringOptional

The unique identifier of the stolen vehicle report

requestDatestring · date-timeOptional

The date and time when the report was created, in ISO 8601 format

Example: 2026-04-24T14:50:40.407+00:00
theftReportDatestring · date-timeOptional

The date and time when the vehicle was reported as stolen, in ISO 8601 format

Example: 2026-04-23T21:55:09.954+00:00
theftReportClosingDatestring · date-timeOptional

The date and time when the theft report was closed, in ISO 8601 format

Example: 2026-05-23T21:55:09.954+00:00
statusstring · enumOptional

The status of the theft report

Possible values:
delete
/drivekit/admin/beacon/reports/{reportId}

Response body

The table below summarizes the content of the response body.

Field
Format
Descriptio

id

string

Unique identifier of the theft report

beacon

object

Beacon information.

See Beacon

requestDate

string

Date at which the theft was reported on DriveQuant platform. Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportDate

string

Date at which the theft was reported to the authorities.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

theftReportClosingDate

string

Date at which the theft report expires.

Date format: YYYY-MM-dd’T’HH:mm:ss.SSSZ

status

string

Status of the report. Allowed values: ACTIVE, EXPIRED, CANCELED

Beacon

The table below summarizes the content of the Beacon object.

Field
Format
Descriptio

uuid

string

iBeacon UUID

major

integer

iBeacon major identifier

minor

integer

iBeacon minor identifier

Last updated

Was this helpful?